Bug 195024 - SR on HP-DL580 with RH 3u4 2.4.21-27.ELsmp
SR on HP-DL580 with RH 3u4 2.4.21-27.ELsmp
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Red Hat Kernel Manager
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 09:58 EDT by Joe Thykattil
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:43:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Thykattil 2006-06-14 09:58:57 EDT
ASR on HP-DL580 with RH 3u4  2.4.21-27.ELsmp:

Start of Sun JVM 1.5 BEA JVM 1.5 causes the ASR.

Please advise.

Thanks,

Joe

jthykattil@cme.com
Chicago Mercantile Exchange
+1 312 338 7169


Console logs:


kernel BUG at page_alloc.c:326!
invalid operand: 0000
nfs lockd sunrpc sg autofs4 audit e1000 microcode keybdev mousedev hid input 
usb-ohci usbcore ext3 jbd cciss sd_mod scsi_mod
  
CPU:    1
EIP:    0060:[<c0158a4d>]    Tainted: P 
EFLAGS: 00010006

EIP is at rmqueue [kernel] 0x1fd (2.4.21-27.ELsmp/i686)
eax: 00000000   ebx: 00000010   ecx: 00038000   edx: 00215130
esi: c03a8288   edi: c03a7080   ebp: c8cf076c   esp: df71fda8
ds: 0068   es: 0068   ss: 0068
Process java (pid: 8789, stackpage=df71f000)
Stack: c043b280 00000001 00038000 df71fde8 00000004 001dd130 001dd100
00000202 
       00000000 c03a7080 c03a7080 c03a83a4 00000003 00000000 c0158d3d
00000002 
       c03a83ac 00000000 000001d2 00000000 c0158e34 c03a83a0 00000000
00000003 
Call Trace:   [<c0158d3d>] __alloc_pages_limit [kernel] 0x7d
(0xdf71fde0)
[<c0158e34>] __alloc_pages [kernel] 0xb4 (0xdf71fdf8) [<c0142b5e>] 
do_anonymous_page [kernel] 0x16e (0xdf71fe3c) [<c0143971>] handle_mm_fault 
[kernel] 0xd1 (0xdf71fec0) [<c011fe3c>] do_page_fault [kernel] 0x14c 
(0xdf71fef4) [<c014e0bd>] change_protection [kernel] 0xdd
(0xdf71ff0c) [<c014e1e9>] mprotect_fixup [kernel] 0xc9 (0xdf71ff4c) 
[<c014e658>] sys_mprotect [kernel] 0x1e8 (0xdf71ff84) [<c011fcf0>] 
do_page_fault [kernel] 0x0 (0xdf71ffb0)

Code: 0f 0b 46 01 17 d2 2b c0 ff 4c 24 10 83 ee 0c d1 eb 8b 06 89

Kernel panic: Fatal exception


Hplog:

0019 Critical       09:16  06/13/2006 09:16  06/13/2006 0001
LOG: ASR Detected by System ROM
Comment 1 Ernie Petrides 2006-06-14 19:57:12 EDT
RHEL3 is now closed.  I also suggest updating to a more recent RHEL3 update.
Comment 2 Joe Thykattil 2006-06-15 10:11:09 EDT
Erine,

We used RH3u4 in production and would like Red Hat to support it and help us.

Please let us know if there is specific patch that will fix this issue?

Thanks,

Joe

+1 312 338 7169
Comment 3 Joe Thykattil 2006-06-15 15:40:29 EDT
From the console logs with ASR disabled:

Unable to handle kernel paging request at virtual address 00410079  printing 
eip:
c017e301
*pde = 00000000
Oops: 0000
nfs lockd sunrpc autofs4 audit e1000 microcode keybdev mousedev hid input usb-
ohci usbcore ext3 jbd cciss sd_mod scsi_mod  
CPU:    7
EIP:    0060:[<c017e301>]    Not tainted
EFLAGS: 00010213

EIP is at d_lookup [kernel] 0x71 (2.4.21-27.ELsmp/i686)
eax: d147a0d8   ebx: 00410045   ecx: 00000015   edx: d1431480
esi: 00410035   edi: 00000000   ebp: 11737f48   esp: f39f5ed8
ds: 0068   es: 0068   ss: 0068
Process rpmv (pid: 18584, stackpage=f39f5000)
Stack: ffeca000 00000001 ffecafd0 f2e07200 00410035 d147a0d8 d3090010 00000005 
       d3090010 d3090015 00000000 f39f5f38 c01727ab f688e400 f39f5f38 d3090010 
       c0172ee8 f688e400 f39f5f38 00000008 00000008 00000000 f39f5f90 00000000 
Call Trace:   [<c01727ab>] cached_lookup [kernel] 0x1b (0xf39f5f08)
[<c0172ee8>] link_path_walk [kernel] 0x428 (0xf39f5f18) [<c0173469>] 
path_lookup [kernel] 0x39 (0xf39f5f58) [<c01737b9>] __user_walk [kernel] 0x49 
(0xf39f5f68) [<c016e64e>] sys_lstat64 [kernel] 0x2e (0xf39f5f84)

Code: 39 6e 44 8b 1b 75 e8 8b 7c 24 34 39 7e 0c 75 df 8b 57 4c 85

Kernel panic: Fatal exception

Comment 4 Ernie Petrides 2006-06-15 17:30:53 EDT
There was a potentially related patch that was committed to the
first post-U5 async security erratum (kernel version 2.4.21-32.0.1.EL).

But you should upgrade to the latest released kernel, i.e., U7 (which
is kernel version 2.4.21-40.EL).

If you build your own (unsupported) kernels, then you should look at
the patch in bug 141394 comment #129.

By the way, the latest U8 beta kernel (version 2.4.21-44.EL) is now in
the RHN beta channels, so you could also try that in a non-production
environment (which might be worthwhile if you have a reproducer).
Comment 5 Prarit Bhargava 2007-09-13 08:45:50 EDT
Joe Thykattil (jthykattil@cme.com),

Is this still an issue?

P.
Comment 6 RHEL Product and Program Management 2007-10-19 14:43:19 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.